# Function createFgdbLayer

- createFgdbLayer(processedFgdbData, uploadedFile, displayServiceUrl): Promise<MapImageLayer>

- Creates a new MapImageLayer from geoprocessed file geodatabase data.

  #### Parameters

  - processedFgdbData: GeoProcessedFgdbData

    The geoprocessing result data for the file geodatabase.

  - uploadedFile: Blob

    The original uploaded file, used to derive the layer title.

  - displayServiceUrl: string

    The URL of the map service to use for the dynamic layer.

  #### Returns Promise<MapImageLayer>

  A promise that resolves to a new MapImageLayer.